# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'torchrb/version'

Gem::Specification.new do |spec|
  spec.name          = "torchrb"
  spec.version       = Torchrb::VERSION
  spec.authors       = ["Michael Sprauer"]
  spec.email         = ['ms@inline.de']
  spec.homepage      = 'http://www.inline.de/'
  spec.license       = 'MIT'

  spec.summary       = %q(Torch wrapper for ruby)
  spec.description   = spec.summary + ' '

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.test_files    = spec.files.grep(%r{^test/})
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  #spec.required_ruby_version = '>= 2.1.0'

  spec.add_runtime_dependency 'rufus-lua', '~> 1.1.2'
  spec.add_runtime_dependency 'activesupport'

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "ascii_charts"
  # gem.add_development_dependency 'ruby-prof' # <- don't need this normally.
end
